Page MenuHomePhabricator

[llvm-reduce] Don't unset dso_local on implicitly dso_local GVs
ClosedPublic

Authored by aeubanks on Apr 25 2021, 10:56 PM.

Details

Summary

This introduces a flag that aborts if we ever reduce to IR that fails
the verifier.

Depends on D101278.

Diff Detail

Event Timeline

aeubanks requested review of this revision.Apr 25 2021, 10:56 PM
aeubanks created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptApr 25 2021, 10:56 PM
swamulism accepted this revision.Apr 26 2021, 4:44 PM
This revision is now accepted and ready to land.Apr 26 2021, 4:44 PM
arichardson accepted this revision.Apr 27 2021, 3:09 AM

Supersedes D99943.
Maybe adding AbortOnInvalidReduction should be a separate commit, but the overall diff looks good to me.

aeubanks updated this revision to Diff 341999.Apr 30 2021, 11:57 AM

don't use assert, that doesn't work in non-assert builds

This revision was landed with ongoing or failed builds.Apr 30 2021, 11:58 AM
This revision was automatically updated to reflect the committed changes.